Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2.impl
Class IVLMOImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ohf.ihe.common.cdar2.impl.ANYImpl
                      org.eclipse.ohf.ihe.common.cdar2.impl.QTYImpl
                          org.eclipse.ohf.ihe.common.cdar2.impl.MOImpl
                              org.eclipse.ohf.ihe.common.cdar2.impl.SXCMMOImpl
                                  org.eclipse.ohf.ihe.common.cdar2.impl.IVLMOImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, ANY, IVLMO, MO, QTY, SXCMMO

    public class IVLMOImpl

extends SXCMMOImpl
implements IVLMO

An implementation of the model object 'IVLMO'.

The following features are implemented:

- `Low`
- `Width`
- `High`
- `High1`
- `Width1`
- `High2`
- `Center`
- `Width2`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetCenter(MO newCenter, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetHigh(IVXBMO newHigh, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetHigh1(IVXBMO newHigh1, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetHigh2(IVXBMO newHigh2, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetLow(IVXBMO newLow, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetWidth(MO newWidth, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetWidth1(MO newWidth1, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetWidth2(MO newWidth2, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`MO` | `getCenter()`
`IVXBMO` | `getHigh()`
`IVXBMO` | `getHigh1()`
`IVXBMO` | `getHigh2()`
`IVXBMO` | `getLow()`
`MO` | `getWidth()`
`MO` | `getWidth1()`
`MO` | `getWidth2()`
`void` | `setCenter(MO newCenter)`
`void` | `setHigh(IVXBMO newHigh)`
`void` | `setHigh1(IVXBMO newHigh1)`
`void` | `setHigh2(IVXBMO newHigh2)`
`void` | `setLow(IVXBMO newLow)`
`void` | `setWidth(MO newWidth)`
`void` | `setWidth1(MO newWidth1)`
`void` | `setWidth2(MO newWidth2)`

Methods inherited from class org.eclipse.ohf.ihe.common.cdar2.impl.SXCMMOImpl
`getOperator, isSetOperator, setOperator, toString, unsetOperator`

Methods inherited from class org.eclipse.ohf.ihe.common.cdar2.impl.MOImpl
`getCurrency, getValue, setCurrency, setValue`

Methods inherited from class org.eclipse.ohf.ihe.common.cdar2.impl.ANYImpl
`getNullFlavor, setNullFlavor`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.SXCMMO
`getOperator, isSetOperator, setOperator, unsetOperator`

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.MO
`getCurrency, getValue, setCurrency, setValue`

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.ANY
`getNullFlavor, setNullFlavor`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getLow

    public IVXBMO getLow()

  Specified by:
    `getLow` in interface `IVLMO`
  Returns:
    the value of the 'Low' containment reference.
  See Also:
    `IVLMO.setLow(IVXBMO)`, `CDAR2Package.getIVLMO_Low()`

### basicSetLow

    public org.eclipse.emf.common.notify.NotificationChain basicSetLow(IVXBMO newLow,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

### setLow

    public void setLow(IVXBMO newLow)

  Specified by:
    `setLow` in interface `IVLMO`
  Parameters:
    `newLow` - the new value of the 'Low' containment reference.
  See Also:
    `IVLMO.getLow()`

### getWidth

    public MO getWidth()

  Specified by:
    `getWidth` in interface `IVLMO`
  Returns:
    the value of the 'Width' containment reference.
  See Also:
    `IVLMO.setWidth(MO)`, `CDAR2Package.getIVLMO_Width()`

### basicSetWidth

    public org.eclipse.emf.common.notify.NotificationChain basicSetWidth(MO newWidth,
                                                                         org.eclipse.emf.common.notify.NotificationChain msgs)

### setWidth

    public void setWidth(MO newWidth)

  Specified by:
    `setWidth` in interface `IVLMO`
  Parameters:
    `newWidth` - the new value of the 'Width' containment reference.
  See Also:
    `IVLMO.getWidth()`

### getHigh

    public IVXBMO getHigh()

  Specified by:
    `getHigh` in interface `IVLMO`
  Returns:
    the value of the 'High' containment reference.
  See Also:
    `IVLMO.setHigh(IVXBMO)`, `CDAR2Package.getIVLMO_High()`

### basicSetHigh

    public org.eclipse.emf.common.notify.NotificationChain basicSetHigh(IVXBMO newHigh,
                                                                        org.eclipse.emf.common.notify.NotificationChain msgs)

### setHigh

    public void setHigh(IVXBMO newHigh)

  Specified by:
    `setHigh` in interface `IVLMO`
  Parameters:
    `newHigh` - the new value of the 'High' containment reference.
  See Also:
    `IVLMO.getHigh()`

### getHigh1

    public IVXBMO getHigh1()

  Specified by:
    `getHigh1` in interface `IVLMO`
  Returns:
    the value of the 'High1' containment reference.
  See Also:
    `IVLMO.setHigh1(IVXBMO)`, `CDAR2Package.getIVLMO_High1()`

### basicSetHigh1

    public org.eclipse.emf.common.notify.NotificationChain basicSetHigh1(IVXBMO newHigh1,
                                                                         org.eclipse.emf.common.notify.NotificationChain msgs)

### setHigh1

    public void setHigh1(IVXBMO newHigh1)

  Specified by:
    `setHigh1` in interface `IVLMO`
  Parameters:
    `newHigh1` - the new value of the 'High1' containment reference.
  See Also:
    `IVLMO.getHigh1()`

### getWidth1

    public MO getWidth1()

  Specified by:
    `getWidth1` in interface `IVLMO`
  Returns:
    the value of the 'Width1' containment reference.
  See Also:
    `IVLMO.setWidth1(MO)`, `CDAR2Package.getIVLMO_Width1()`

### basicSetWidth1

    public org.eclipse.emf.common.notify.NotificationChain basicSetWidth1(MO newWidth1,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

### setWidth1

    public void setWidth1(MO newWidth1)

  Specified by:
    `setWidth1` in interface `IVLMO`
  Parameters:
    `newWidth1` - the new value of the 'Width1' containment reference.
  See Also:
    `IVLMO.getWidth1()`

### getHigh2

    public IVXBMO getHigh2()

  Specified by:
    `getHigh2` in interface `IVLMO`
  Returns:
    the value of the 'High2' containment reference.
  See Also:
    `IVLMO.setHigh2(IVXBMO)`, `CDAR2Package.getIVLMO_High2()`

### basicSetHigh2

    public org.eclipse.emf.common.notify.NotificationChain basicSetHigh2(IVXBMO newHigh2,
                                                                         org.eclipse.emf.common.notify.NotificationChain msgs)

### setHigh2

    public void setHigh2(IVXBMO newHigh2)

  Specified by:
    `setHigh2` in interface `IVLMO`
  Parameters:
    `newHigh2` - the new value of the 'High2' containment reference.
  See Also:
    `IVLMO.getHigh2()`

### getCenter

    public MO getCenter()

  Specified by:
    `getCenter` in interface `IVLMO`
  Returns:
    the value of the 'Center' containment reference.
  See Also:
    `IVLMO.setCenter(MO)`, `CDAR2Package.getIVLMO_Center()`

### basicSetCenter

    public org.eclipse.emf.common.notify.NotificationChain basicSetCenter(MO newCenter,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

### setCenter

    public void setCenter(MO newCenter)

  Specified by:
    `setCenter` in interface `IVLMO`
  Parameters:
    `newCenter` - the new value of the 'Center' containment reference.
  See Also:
    `IVLMO.getCenter()`

### getWidth2

    public MO getWidth2()

  Specified by:
    `getWidth2` in interface `IVLMO`
  Returns:
    the value of the 'Width2' containment reference.
  See Also:
    `IVLMO.setWidth2(MO)`, `CDAR2Package.getIVLMO_Width2()`

### basicSetWidth2

    public org.eclipse.emf.common.notify.NotificationChain basicSetWidth2(MO newWidth2,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

### setWidth2

    public void setWidth2(MO newWidth2)

  Specified by:
    `setWidth2` in interface `IVLMO`
  Parameters:
    `newWidth2` - the new value of the 'Width2' containment reference.
  See Also:
    `IVLMO.getWidth2()`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `SXCMMOImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `SXCMMOImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `SXCMMOImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `SXCMMOImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD